POST api/Telemedicine/AddLocations
Request Information
URI Parameters
None.
Body Parameters
TelemedicineDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
String length: inclusive between 0 and 50 |
|
| kioskId | string |
String length: inclusive between 0 and 50 |
|
| CompanyCode | string |
String length: inclusive between 0 and 20 |
|
| ValidFlag | boolean |
None. |
|
| TelemedicineWorkLocationDTO | Collection of TelemedicineWorkLocationDTO |
None. |
|
| StateCode | string |
None. |
|
| DeviceName | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"Name": "sample string 2",
"kioskId": "sample string 3",
"CompanyCode": "sample string 4",
"ValidFlag": true,
"TelemedicineWorkLocationDTO": [
{
"Id": 1,
"WorkLocationCode": "sample string 2",
"WorkLocationName": "sample string 3",
"WorkLocationShortName": "sample string 4",
"TelemedicineId": 5,
"ValidFlag": true
},
{
"Id": 1,
"WorkLocationCode": "sample string 2",
"WorkLocationName": "sample string 3",
"WorkLocationShortName": "sample string 4",
"TelemedicineId": 5,
"ValidFlag": true
}
],
"StateCode": "sample string 6",
"DeviceName": "sample string 7"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfTelemedicineDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | TelemedicineDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Name": "sample string 2",
"kioskId": "sample string 3",
"CompanyCode": "sample string 4",
"ValidFlag": true,
"TelemedicineWorkLocationDTO": [
{
"Id": 1,
"WorkLocationCode": "sample string 2",
"WorkLocationName": "sample string 3",
"WorkLocationShortName": "sample string 4",
"TelemedicineId": 5,
"ValidFlag": true
},
{
"Id": 1,
"WorkLocationCode": "sample string 2",
"WorkLocationName": "sample string 3",
"WorkLocationShortName": "sample string 4",
"TelemedicineId": 5,
"ValidFlag": true
}
],
"StateCode": "sample string 6",
"DeviceName": "sample string 7"
},
"totalCount": 3
}